
Redmine - Feature #10419

Upgrade raphael.js (2.1.0)

2012-03-11 11:53 - Pedro Alexandre Pacheco Cipriano

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 2.1.0   

Resolution: Fixed   

Description

Hi I noticed that Redmine is still using Raphael 1.5.2 couldn't it be updated to latest version 2.0.2. Main advantage would be SVG

rendering in IE9.

Associated revisions

Revision 10368 - 2012-09-11 18:48 - Jean-Philippe Lang

Upgraded raphael.js to 2.1.0 (#10419).

History

#1 - 2012-03-11 12:27 - Etienne Massip

- Category changed from Third-party libraries to SCM extra

It already works with IE9?!

#2 - 2012-03-11 16:53 - Pedro Alexandre Pacheco Cipriano

Etienne Massip wrote:

It already works with IE9?!

 Yes is correct but only the new version will use SVG in IE9 instead of VML.

#3 - 2012-03-11 22:38 - Toshi MARUYAMA

- Category changed from SCM extra to SCM

Category "SCM extra" is for reposman.rb and Redmine.pm.

source:tags/1.3.2/extra/svn

Revision graph is core feature.

#4 - 2012-09-11 18:49 - Jean-Philippe Lang

- Subject changed from Raphael use newer version to Upgrade raphael.js (2.1.0)

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.1.0

- Resolution set to Fixed

raphael.js upgraded to 2.1.0 in r10368.

#5 - 2012-09-11 21:41 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
